diff -ru -3 ./lms/CVS/Entries ./lms.orig/CVS/Entries
--- ./lms/CVS/Entries	Tue Jan 27 14:29:22 2004
+++ ./lms.orig/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,3 +1,4 @@
+/index.php/1.124/Tue Jan 27 10:44:45 2004//
 D/backups////
 D/bin////
 D/config_templates////
@@ -11,4 +12,3 @@
 D/sample////
 D/templates////
 D/templates_c////
-/index.php/1.124/Tue Jan 27 13:29:22 2004//
diff -ru -3 ./lms/bin/CVS/Entries ./lms.orig/bin/CVS/Entries
--- ./lms/bin/CVS/Entries	Wed Jan 21 12:35:41 2004
+++ ./lms.orig/bin/CVS/Entries	Fri Jan 30 18:54:08 2004
@@ -1,17 +1,17 @@
-/lms-arpd/1.4/Wed Jan 21 11:35:33 2004//
-/lms-cutoff/1.13/Wed Jan 21 11:35:34 2004//
-/lms-etherdesc/1.4/Wed Jan 21 11:35:34 2004//
-/lms-makearp/1.18/Wed Jan 21 11:35:35 2004//
-/lms-makedhcpconf/1.25/Wed Jan 21 11:35:37 2004//
-/lms-makeipchains/1.30/Wed Jan 21 11:35:38 2004//
-/lms-makeiptables/1.26/Wed Jan 21 11:35:38 2004//
-/lms-makeoidentconf/1.20/Wed Jan 21 11:35:38 2004//
-/lms-makeopenbsdpf/1.23/Wed Jan 21 11:35:38 2004//
-/lms-mgc/1.31/Wed Jan 21 11:35:40 2004//
-/lms-notify/1.29/Wed Jan 21 11:35:40 2004//
+/lms-arpd/1.4/Thu Jan  1 20:47:47 2004//
+/lms-cutoff/1.13/Thu Jan  1 20:47:47 2004//
+/lms-etherdesc/1.4/Mon Jan 19 16:04:31 2004//
+/lms-makearp/1.18/Tue Jan 20 18:20:14 2004//
+/lms-makedhcpconf/1.25/Tue Jan 20 18:20:14 2004//
+/lms-makeipchains/1.30/Tue Jan 20 18:20:14 2004//
+/lms-makeiptables/1.26/Tue Jan 20 18:20:14 2004//
+/lms-makeoidentconf/1.20/Thu Jan  1 20:47:47 2004//
+/lms-makeopenbsdpf/1.23/Tue Jan 20 18:20:14 2004//
+/lms-mgc/1.31/Tue Jan 20 18:06:33 2004//
+/lms-notify/1.29/Thu Jan  1 20:47:47 2004//
 /lms-notify-sms/1.8/Fri Jan  2 17:03:13 2004//
-/lms-payments/1.19/Wed Jan 21 11:35:40 2004//
-/lms-traffic/1.7/Wed Jan 21 11:35:41 2004//
-/lms-traffic-htbiptlimits/1.10/Wed Jan 21 11:35:41 2004//
-/lms-traffic-logiptables/1.11/Wed Jan 21 11:35:41 2004//
+/lms-payments/1.19/Sun Jan 11 21:06:44 2004//
+/lms-traffic/1.7/Thu Jan  1 20:47:47 2004//
+/lms-traffic-htbiptlimits/1.10/Mon Jan 19 16:44:22 2004//
+/lms-traffic-logiptables/1.11/Mon Jan 19 16:44:22 2004//
 D
Only in ./lms/bin: lms-updatewarnings
Only in ./lms/contrib/customer: lib
diff -ru -3 ./lms/daemon/CVS/Entries ./lms.orig/daemon/CVS/Entries
--- ./lms/daemon/CVS/Entries	Wed Jan 21 12:35:42 2004
+++ ./lms.orig/daemon/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,7 +1,10 @@
+/Changelog/1.24/Sun Jan 11 20:35:27 2004//
+/LICENSE/1.2/Thu Jan  1 20:45:34 2004//
 /Makefile/1.2/Mon Nov  3 20:11:38 2003//
 /Makefile.in/1.2/Thu Nov 20 21:05:01 2003//
 /README/1.6/Sun Dec 14 17:30:42 2003//
 /TODO/1.4/Wed Nov 12 20:19:50 2003//
+/almsd.c/1.15/Sun Jan 11 14:01:06 2004//
 /almsd.h/1.6/Thu Dec  4 21:57:41 2003//
 /configure/1.4/Fri Oct 31 21:46:17 2003//
 /db.c/1.12/Fri Dec  5 15:54:26 2003//
@@ -13,6 +16,3 @@
 /util.h/1.5/Fri Nov  7 22:33:25 2003//
 D/iniparser////
 D/modules////
-/Changelog/1.24/Wed Jan 21 11:35:42 2004//
-/LICENSE/1.2/Wed Jan 21 11:35:42 2004//
-/almsd.c/1.15/Wed Jan 21 11:35:42 2004//
diff -ru -3 ./lms/daemon/modules/cutoff/CVS/Entries ./lms.orig/daemon/modules/cutoff/CVS/Entries
--- ./lms/daemon/modules/cutoff/CVS/Entries	Wed Jan 21 12:35:42 2004
+++ ./lms.orig/daemon/modules/cutoff/CVS/Entries	Fri Jan 30 18:54:52 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Mon Nov 10 22:01:57 2003//
+/cutoff.c/1.5/Thu Jan  1 20:45:34 2004//
 /cutoff.h/1.1/Mon Nov 10 22:01:57 2003//
-/cutoff.c/1.5/Wed Jan 21 11:35:42 2004//
 D
diff -ru -3 ./lms/daemon/modules/dhcp/CVS/Entries ./lms.orig/daemon/modules/dhcp/CVS/Entries
--- ./lms/daemon/modules/dhcp/CVS/Entries	Wed Jan 21 12:35:42 2004
+++ ./lms.orig/daemon/modules/dhcp/CVS/Entries	Fri Jan 30 18:54:55 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Mon Oct 27 20:57:02 2003//
+/dhcp.c/1.10/Thu Jan  1 20:45:34 2004//
 /dhcp.h/1.2/Mon Nov  3 20:11:38 2003//
-/dhcp.c/1.10/Wed Jan 21 11:35:42 2004//
 D
diff -ru -3 ./lms/daemon/modules/dns/CVS/Entries ./lms.orig/daemon/modules/dns/CVS/Entries
--- ./lms/daemon/modules/dns/CVS/Entries	Wed Jan 21 12:35:43 2004
+++ ./lms.orig/daemon/modules/dns/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Wed Nov  5 18:23:43 2003//
+/dns.c/1.6/Thu Jan  1 20:45:34 2004//
 /dns.h/1.1/Wed Nov  5 18:23:43 2003//
 D/sample////
-/dns.c/1.6/Wed Jan 21 11:35:43 2004//
diff -ru -3 ./lms/daemon/modules/ethers/CVS/Entries ./lms.orig/daemon/modules/ethers/CVS/Entries
--- ./lms/daemon/modules/ethers/CVS/Entries	Wed Jan 21 12:35:43 2004
+++ ./lms.orig/daemon/modules/ethers/CVS/Entries	Fri Jan 30 18:55:01 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Sun Oct 26 21:15:16 2003//
+/ethers.c/1.10/Thu Jan  1 20:45:34 2004//
 /ethers.h/1.3/Thu Nov 27 20:35:25 2003//
-/ethers.c/1.10/Wed Jan 21 11:35:43 2004//
 D
diff -ru -3 ./lms/daemon/modules/ggnotify/CVS/Entries ./lms.orig/daemon/modules/ggnotify/CVS/Entries
--- ./lms/daemon/modules/ggnotify/CVS/Entries	Wed Jan 21 12:35:44 2004
+++ ./lms.orig/daemon/modules/ggnotify/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,5 +1,5 @@
 /Makefile.in/1.4/Mon Dec 15 16:31:29 2003//
 /ReadMe/1.1/Tue Nov 25 22:54:32 2003//
+/ggnotify.c/1.4/Thu Jan  1 20:45:34 2004//
 /ggnotify.h/1.1/Tue Nov 25 22:54:32 2003//
 D/sample////
-/ggnotify.c/1.4/Wed Jan 21 11:35:44 2004//
diff -ru -3 ./lms/daemon/modules/hostfile/CVS/Entries ./lms.orig/daemon/modules/hostfile/CVS/Entries
--- ./lms/daemon/modules/hostfile/CVS/Entries	Wed Jan 21 12:35:44 2004
+++ ./lms.orig/daemon/modules/hostfile/CVS/Entries	Fri Jan 30 18:55:07 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Sun Oct 26 21:16:03 2003//
+/hostfile.c/1.11/Thu Jan  1 20:45:35 2004//
 /hostfile.h/1.2/Mon Nov  3 20:11:38 2003//
-/hostfile.c/1.11/Wed Jan 21 11:35:44 2004//
 D
diff -ru -3 ./lms/daemon/modules/notify/CVS/Entries ./lms.orig/daemon/modules/notify/CVS/Entries
--- ./lms/daemon/modules/notify/CVS/Entries	Wed Jan 21 12:35:45 2004
+++ ./lms.orig/daemon/modules/notify/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Thu Nov 20 16:41:28 2003//
+/notify.c/1.8/Thu Jan  1 20:45:35 2004//
 /notify.h/1.1/Thu Nov 20 16:41:28 2003//
 D/sample////
-/notify.c/1.8/Wed Jan 21 11:35:45 2004//
diff -ru -3 ./lms/daemon/modules/oident/CVS/Entries ./lms.orig/daemon/modules/oident/CVS/Entries
--- ./lms/daemon/modules/oident/CVS/Entries	Wed Jan 21 12:35:45 2004
+++ ./lms.orig/daemon/modules/oident/CVS/Entries	Fri Jan 30 18:55:08 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Mon Nov  3 20:30:32 2003//
+/oident.c/1.6/Thu Jan  1 20:45:35 2004//
 /oident.h/1.1/Mon Nov  3 20:30:32 2003//
-/oident.c/1.6/Wed Jan 21 11:35:45 2004//
 D
diff -ru -3 ./lms/daemon/modules/payments/CVS/Entries ./lms.orig/daemon/modules/payments/CVS/Entries
--- ./lms/daemon/modules/payments/CVS/Entries	Wed Jan 21 12:35:46 2004
+++ ./lms.orig/daemon/modules/payments/CVS/Entries	Fri Jan 30 18:55:11 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Mon Nov 10 22:10:54 2003//
+/payments.c/1.14/Sun Jan 11 20:35:27 2004//
 /payments.h/1.2/Thu Dec  4 18:14:21 2003//
-/payments.c/1.14/Wed Jan 21 11:35:46 2004//
 D
diff -ru -3 ./lms/daemon/modules/tc/CVS/Entries ./lms.orig/daemon/modules/tc/CVS/Entries
--- ./lms/daemon/modules/tc/CVS/Entries	Wed Jan 21 12:35:47 2004
+++ ./lms.orig/daemon/modules/tc/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Thu Nov 20 16:40:26 2003//
+/tc.c/1.2/Thu Jan  1 20:45:35 2004//
 /tc.h/1.1/Thu Nov 20 16:40:26 2003//
 D/sample////
-/tc.c/1.2/Wed Jan 21 11:35:47 2004//
diff -ru -3 ./lms/daemon/modules/traffic/CVS/Entries ./lms.orig/daemon/modules/traffic/CVS/Entries
--- ./lms/daemon/modules/traffic/CVS/Entries	Wed Jan 21 12:35:47 2004
+++ ./lms.orig/daemon/modules/traffic/CVS/Entries	Fri Jan 30 18:55:13 2004
@@ -1,4 +1,4 @@
 /Makefile.in/1.1/Tue Nov 18 20:36:53 2003//
+/traffic.c/1.3/Thu Jan  1 20:45:35 2004//
 /traffic.h/1.1/Tue Nov 18 20:36:53 2003//
-/traffic.c/1.3/Wed Jan 21 11:35:47 2004//
 D
diff -ru -3 ./lms/devel/CVS/Entries ./lms.orig/devel/CVS/Entries
--- ./lms/devel/CVS/Entries	Tue Jan 27 14:29:22 2004
+++ ./lms.orig/devel/CVS/Entries	Fri Jan 30 18:55:14 2004
@@ -1,4 +1,4 @@
 /buildpack.sh/1.5/Thu Dec  4 22:50:49 2003//
 /cvs.sh/1.4/Mon Dec 15 00:56:18 2003//
-/docgen.sh/1.6/Tue Jan 27 13:29:22 2004//
+/docgen.sh/1.6/Sun Jan 25 08:08:12 2004//
 D
diff -ru -3 ./lms/doc/CVS/Entries ./lms.orig/doc/CVS/Entries
--- ./lms/doc/CVS/Entries	Fri Jan 30 17:07:16 2004
+++ ./lms.orig/doc/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,16 +1,16 @@
 /00-Index.txt/1.9/Wed Dec 17 20:36:55 2003//
 /AUTHORS/1.12/Fri Dec 12 21:08:29 2003//
 /COPYING/1.6/Mon Jun 23 13:42:28 2003//
+/COPYRIGHTS/1.7/Thu Jan  1 20:45:35 2004//
+/ChangeLog/1.222/Sun Jan 25 20:53:16 2004//
 /ChangeLog.en/1.3/Mon Aug 11 20:44:42 2003//
 /INSTALL/1.39/Thu Oct  2 21:54:58 2003//
+/README/1.18/Tue Jan 27 10:44:45 2004//
+/README.html/1.8/Sun Jan 25 08:14:29 2004//
+/TODO/1.42/Thu Jan 29 22:23:34 2004//
+/UPGRADE.mysql/1.11/Sun Jan 11 15:08:44 2004//
+/UPGRADE.pgsql/1.13/Sun Jan 11 15:08:44 2004//
+/lms.mysql/1.36/Sun Jan 11 14:04:58 2004//
+/lms.pgsql/1.32/Sun Jan 11 15:08:44 2004//
 D/html////
 D/sgml////
-/COPYRIGHTS/1.7/Wed Jan 21 11:35:47 2004//
-/UPGRADE.mysql/1.11/Wed Jan 21 11:36:04 2004//
-/UPGRADE.pgsql/1.13/Wed Jan 21 11:36:05 2004//
-/lms.mysql/1.36/Wed Jan 21 11:36:05 2004//
-/lms.pgsql/1.32/Wed Jan 21 11:36:05 2004//
-/ChangeLog/1.222/Tue Jan 27 13:29:27 2004//
-/README/1.18/Tue Jan 27 13:29:42 2004//
-/README.html/1.8/Tue Jan 27 13:30:06 2004//
-/TODO/1.42/Fri Jan 30 16:07:08 2004//
diff -ru -3 ./lms/doc/ChangeLog ./lms.orig/doc/ChangeLog
--- ./lms/doc/ChangeLog	Fri Jan 30 18:48:03 2004
+++ ./lms.orig/doc/ChangeLog	Sun Jan 25 21:53:16 2004
@@ -2,8 +2,6 @@
 
 wersja 1.1.8 (??/??/????):
 
-  - dodane pole message do tabeli users
-  - dodane pole warnigns do tabeli nodes
   - netdevmap korzysta z obrazków w formacie PNG (brak obs³ugi GIF na 
     niektórych systemach) (Lexx)
   - poprawione zliczanie rekordów na pustych listach, BTS#90 (alec)
diff -ru -3 ./lms/doc/UPGRADE.mysql ./lms.orig/doc/UPGRADE.mysql
--- ./lms/doc/UPGRADE.mysql	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/doc/UPGRADE.mysql	Sun Jan 11 16:08:44 2004
@@ -22,8 +22,6 @@
 ALTER TABLE users ADD payday INT DEFAULT '1' NOT NULL;
 /* PESEL */
 ALTER TABLE users ADD pesel VARCHAR(11) DEFAULT '' AFTER nip;
-/* Wiadomosc administracyjna */
-ALTER TABLE users ADD message TEXT DEFAULT '';
 
 /* Nowe pola w tabeli */
 ALTER TABLE networks ADD dns2 VARCHAR(16) AFTER dns;
@@ -46,9 +44,6 @@
 
 /* Linki do urz±dzeñ */
 ALTER TABLE nodes ADD netdev INT(11) NOT NULL DEFAULT '0' AFTER modid;
-
-/* Ostrze¿enia */
-ALTER TABLE nodes ADD warning BOOL NOT NULL DEFAULT '0' AFTER access;
 
 /* Zmiana zapisu limitu */
 ALTER TABLE tariffs CHANGE uprate uprate INT(11), 
diff -ru -3 ./lms/doc/UPGRADE.pgsql ./lms.orig/doc/UPGRADE.pgsql
--- ./lms/doc/UPGRADE.pgsql	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/doc/UPGRADE.pgsql	Sun Jan 11 16:08:44 2004
@@ -30,9 +30,6 @@
 /* pesel */
 ALTER TABLE users ADD pesel varchar(11);
 ALTER TABLE users ALTER COLUMN pesel SET DEFAULT NULL;
-/* Wiadomosc administracujna */
-ALTER TABLE users ADD message text;
-ALTER TABLE users ALTER COLUMN message SET DEFAULT NULL;
 
 /* Nowe kolumny w tabeli */
 ALTER TABLE networks ADD dns2 VARCHAR(16);
@@ -86,10 +83,6 @@
 ALTER TABLE nodes ALTER COLUMN netdev SET default 0;
 UPDATE nodes SET netdev = 0;
 ALTER TABLE nodes ALTER COLUMN netdev SET NOT NULL;  	
-/* Ostrze¿enia */
-ALTER TABLE nodes ADD warning int2;
-ALTER TABLE nodes ALTER COLUMN warning SET NOT NULL;
-ALTER TABLE nodes ALTER COLUMN warning SET DEFAULT 0;
 
 /* Zmiana zapisu limitu */
 ALTER TABLE tariffs ALTER uprate DROP NOT NULL;
@@ -98,7 +91,7 @@
 ALTER TABLE tariffs ALTER downrate DROP DEFAULT; 
 ALTER TABLE tariffs ALTER description DROP NOT NULL;
 
-/* Zmiana typów pól numerycznych */
+/* Zmiana typów pul numerycznych */
 ALTER TABLE cash ADD val numeric(9,2);
 UPDATE cash SET val=value;
 ALTER TABLE cash ALTER val SET NOT NULL;
diff -ru -3 ./lms/doc/html/CVS/Entries ./lms.orig/doc/html/CVS/Entries
--- ./lms/doc/html/CVS/Entries	Tue Jan 27 14:30:19 2004
+++ ./lms.orig/doc/html/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,31 +1,31 @@
 /authors.html/1.7/Wed Dec  3 01:45:42 2003//
+/daemon-modules.html/1.8/Mon Jan 26 20:41:55 2004//
+/daemon.html/1.4/Tue Jan 13 21:45:25 2004//
+/devel-db.html/1.8/Tue Jan 13 21:45:25 2004//
+/devel-genfake.html/1.2/Tue Jan 13 21:45:25 2004//
+/devel-ini.html/1.5/Mon Jan 26 20:41:55 2004//
+/devel-limits.html/1.9/Mon Jan 26 20:41:55 2004//
+/devel-rights.html/1.5/Tue Jan 13 21:45:25 2004//
+/devel.html/1.9/Mon Jan 26 20:41:55 2004//
+/index.html/1.19/Mon Jan 26 20:41:55 2004//
+/install-config.html/1.11/Tue Jan 13 21:45:25 2004//
 /install-db.html/1.10/Wed Dec  3 01:45:42 2003//
 /install-install.html/1.9/Wed Dec  3 01:45:42 2003//
 /install-requirements.html/1.10/Sun Dec 14 20:35:57 2003//
+/install-rights.html/1.10/Tue Jan 13 21:45:25 2004//
+/install-upgrade.html/1.2/Tue Jan 13 21:45:25 2004//
+/install.html/1.10/Tue Jan 13 21:45:25 2004//
 /intro.html/1.9/Wed Dec  3 01:45:42 2003//
 /legalnotice.html/1.7/Wed Dec  3 01:45:42 2003//
 /mgc-config.html/1.7/Wed Dec  3 01:45:42 2003//
+/mgc-example.html/1.13/Mon Jan 26 20:41:55 2004//
+/mgc.html/1.9/Mon Jan 26 20:41:55 2004//
 /moreinfo.html/1.7/Wed Dec  3 01:45:42 2003//
+/scripts-config.html/1.2/Tue Jan 20 18:24:46 2004//
+/scripts-list.html/1.13/Mon Jan 19 18:22:08 2004//
+/scripts.html/1.14/Tue Jan 20 18:24:46 2004//
 /style.css/1.14/Mon Sep  8 20:05:17 2003//
+/user-all.html/1.12/Tue Jan 13 21:45:25 2004//
+/user-staff.html/1.6/Tue Jan 13 21:45:25 2004//
+/user.html/1.11/Tue Jan 13 21:45:25 2004//
 D/images////
-/daemon.html/1.4/Wed Jan 21 11:36:07 2004//
-/devel-db.html/1.8/Wed Jan 21 11:36:08 2004//
-/devel-genfake.html/1.2/Tue Jan 13 21:45:25 2004//
-/devel-rights.html/1.5/Wed Jan 21 11:36:09 2004//
-/install-config.html/1.11/Wed Jan 21 11:36:11 2004//
-/install-rights.html/1.10/Wed Jan 21 11:36:12 2004//
-/install-upgrade.html/1.2/Tue Jan 13 21:45:25 2004//
-/install.html/1.10/Wed Jan 21 11:36:12 2004//
-/scripts-config.html/1.2/Tue Jan 20 18:24:46 2004//
-/scripts-list.html/1.13/Wed Jan 21 11:36:14 2004//
-/scripts.html/1.14/Wed Jan 21 11:36:15 2004//
-/user-all.html/1.12/Wed Jan 21 11:36:16 2004//
-/user-staff.html/1.6/Wed Jan 21 11:36:17 2004//
-/user.html/1.11/Wed Jan 21 11:36:17 2004//
-/daemon-modules.html/1.8/Tue Jan 27 13:30:16 2004//
-/devel-ini.html/1.5/Tue Jan 27 13:30:18 2004//
-/devel-limits.html/1.9/Tue Jan 27 13:30:18 2004//
-/devel.html/1.9/Tue Jan 27 13:30:18 2004//
-/index.html/1.19/Tue Jan 27 13:30:19 2004//
-/mgc-example.html/1.13/Tue Jan 27 13:30:19 2004//
-/mgc.html/1.9/Tue Jan 27 13:30:19 2004//
diff -ru -3 ./lms/doc/lms.mysql ./lms.orig/doc/lms.mysql
--- ./lms/doc/lms.mysql	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/doc/lms.mysql	Sun Jan 11 15:04:58 2004
@@ -134,7 +134,6 @@
   creatorid INT(11) NOT NULL default '0',
   modid INT(11) NOT NULL default '0',
   access TINYINT(1) NOT NULL default '1',
-  warning TINYINT(1) NOT NULL default '0',
   PRIMARY KEY  (id),
   UNIQUE KEY id_2 (id,name),
   KEY id (id)
@@ -220,7 +219,6 @@
   modid INT(11) NOT NULL default '0',
   payday INT(11) NOT NULL default '5',
   deleted TINYINT(1) NOT NULL default '0',
-  message TEXT,
   PRIMARY KEY  (id),
   UNIQUE KEY id_2 (id),
   KEY id (id)
diff -ru -3 ./lms/doc/lms.pgsql ./lms.orig/doc/lms.pgsql
--- ./lms/doc/lms.pgsql	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/doc/lms.pgsql	Sun Jan 11 16:08:44 2004
@@ -78,7 +78,6 @@
 	creatorid integer NOT NULL,
 	modid integer DEFAULT 0 NOT NULL,
 	access smallint DEFAULT 1 NOT NULL,
-	warning smallint DEFAULT 0 NOT NULL,
 	PRIMARY KEY (id)
 );
 
@@ -191,7 +190,6 @@
 	creatorid integer DEFAULT 0 NOT NULL,
 	modid integer DEFAULT 0 NOT NULL,
 	deleted smallint DEFAULT 0 NOT NULL,
-	message text,
 	PRIMARY KEY (id)	
 );
 
diff -ru -3 ./lms/doc/sgml/CVS/Entries ./lms.orig/doc/sgml/CVS/Entries
--- ./lms/doc/sgml/CVS/Entries	Wed Jan 21 12:36:28 2004
+++ ./lms.orig/doc/sgml/CVS/Entries	Fri Jan 30 18:59:37 2004
@@ -1,11 +1,11 @@
+/advanced.sgml/1.14/Sun Jan 11 15:22:23 2004//
+/daemon.sgml/1.10/Tue Jan 13 21:39:19 2004//
+/index.sgml/1.6/Fri Jan  2 17:02:09 2004//
+/install.sgml/1.23/Fri Jan  2 18:20:02 2004//
 /intro.sgml/1.9/Mon Nov 24 21:36:03 2003//
 /lms.dsl/1.7/Mon Sep  8 20:02:37 2003//
 /mgc.sgml/1.7/Mon Sep  8 20:37:05 2003//
+/scripts.sgml/1.11/Tue Jan 20 18:24:46 2004//
+/userif.sgml/1.19/Sun Jan 11 14:03:25 2004//
 /version.sgml/1.2/Sat Sep  6 11:50:54 2003//
-/advanced.sgml/1.14/Wed Jan 21 11:36:17 2004//
-/daemon.sgml/1.10/Wed Jan 21 11:36:19 2004//
-/index.sgml/1.6/Wed Jan 21 11:36:19 2004//
-/install.sgml/1.23/Wed Jan 21 11:36:22 2004//
-/scripts.sgml/1.11/Wed Jan 21 11:36:27 2004//
-/userif.sgml/1.19/Wed Jan 21 11:36:28 2004//
 D
diff -ru -3 ./lms/img/CVS/Entries ./lms.orig/img/CVS/Entries
--- ./lms/img/CVS/Entries	Fri Jan 30 17:07:16 2004
+++ ./lms.orig/img/CVS/Entries	Fri Jan 30 19:01:26 2004
@@ -2,10 +2,13 @@
 /admins.gif/1.5/Mon Jun 23 13:42:28 2003/-kb/
 /asc_order.gif/1.4/Mon Jun 23 13:42:28 2003/-kb/
 /bluepx.gif/1.1/Thu Sep 25 15:30:48 2003//
+/calendar.gif/1.1/Sun Jan 11 13:50:00 2004//
 /cancel.gif/1.4/Mon Jun 23 13:42:28 2003/-kb/
+/class.gif/1.1/Sun Dec 28 22:11:23 2003//
 /cmp.gif/1.4/Mon Jun 23 13:42:28 2003/-kb/
 /cms.gif/1.4/Mon Jun 23 13:42:28 2003/-kb/
 /common.js/1.5/Mon Oct  6 04:46:49 2003/-kb/
+/creditor.gif/1.1/Sun Jan 11 13:50:00 2004//
 /db.gif/1.5/Mon Jun 23 13:42:28 2003/-kb/
 /dbnew.gif/1.5/Mon Jun 23 13:42:28 2003/-kb/
 /delete.gif/1.4/Mon Jun 23 13:42:28 2003/-kb/
@@ -20,11 +23,14 @@
 /downrate.gif/1.1/Sun Oct  5 20:08:54 2003//
 /druk.gif/1.1/Fri Dec  5 03:46:23 2003//
 /edit.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
+/email.gif/1.1/Mon Jan 26 17:50:36 2004//
 /empty.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /error.png/1.2/Mon Jun 23 13:42:29 2003/-kb/
+/exclamation.gif/1.1/Tue Jan 13 20:16:05 2004//
 /gateway.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
 /gg.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /greenpx.gif/1.1/Thu Sep 25 15:30:48 2003//
+/group.gif/1.1/Mon Jan 26 17:20:51 2004//
 /home.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /id.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /info.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
@@ -56,6 +62,7 @@
 /opensource-110x95.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /overlib.js/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /pass.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
+/payment.gif/1.1/Sun Jan 11 13:50:00 2004//
 /phone.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
 /port.gif/1.2/Sun Sep 14 18:23:25 2003//
 /poweredbylms.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
@@ -71,6 +78,8 @@
 /serialnumber.gif/1.1/Sat Sep 13 13:03:35 2003//
 /size.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
 /smarty_icon.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
+/style.css/1.16/Sun Dec 14 05:01:34 2003/-kb/
+/tax.gif/1.1/Sun Dec 28 21:44:41 2003//
 /time.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
 /tip.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
 /totd.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
@@ -86,13 +95,4 @@
 /view.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /wait.gif/1.4/Mon Jun 23 13:42:29 2003/-kb/
 /wins.gif/1.5/Mon Jun 23 13:42:29 2003/-kb/
-/calendar.gif/1.1/Sun Jan 11 13:50:00 2004//
-/class.gif/1.1/Sun Dec 28 22:11:23 2003//
-/creditor.gif/1.1/Sun Jan 11 13:50:00 2004//
-/exclamation.gif/1.1/Tue Jan 13 20:16:05 2004//
-/payment.gif/1.1/Sun Jan 11 13:50:00 2004//
-/tax.gif/1.1/Sun Dec 28 21:44:41 2003//
-/email.gif/1.1/Mon Jan 26 17:50:36 2004//
-/group.gif/1.1/Mon Jan 26 17:20:51 2004//
-/style.css/1.16/Wed Jan 28 14:55:13 2004/-kb/
 D
diff -ru -3 ./lms/lib/CVS/Entries ./lms.orig/lib/CVS/Entries
--- ./lms/lib/CVS/Entries	Tue Jan 27 14:30:49 2004
+++ ./lms.orig/lib/CVS/Entries	Fri Jan 30 19:09:45 2004
@@ -1,18 +1,18 @@
+/LMS.class.php/1.335/Sun Jan 25 15:16:02 2004//
+/LMSDB.php/1.5/Thu Jan  1 20:45:35 2004//
+/LMSDB_common.class.php/1.21/Thu Jan  1 20:45:35 2004//
+/LMSDB_driver_mysql.class.php/1.19/Thu Jan  1 20:45:35 2004//
+/LMSDB_driver_postgres.class.php/1.14/Thu Jan  1 20:45:35 2004//
+/Session.class.php/1.43/Thu Jan  1 20:45:35 2004//
+/Sysinfo.class.php/1.11/Thu Jan  1 20:45:35 2004//
+/accesstable.php/1.20/Sun Jan 11 13:48:19 2004//
+/checkdirs.php/1.19/Thu Jan  1 20:45:35 2004//
+/checkip.php/1.14/Thu Jan  1 20:45:35 2004//
+/common.php/1.57/Thu Jan  1 20:45:35 2004//
 /config_defaults.ini/1.2/Thu Dec  4 22:41:54 2003//
 /ethercodes.txt/1.3/Mon Jun 23 13:42:29 2003//
+/fortunes.php/1.4/Thu Jan  1 20:45:35 2004//
+/language.php/1.2/Thu Jan  1 20:45:35 2004//
+/smarty_addons.php/1.14/Thu Jan  1 20:45:35 2004//
+/unstrip.php/1.15/Thu Jan  1 20:45:35 2004//
 D/modules////
-/LMSDB.php/1.5/Wed Jan 21 11:36:38 2004//
-/LMSDB_common.class.php/1.21/Wed Jan 21 11:36:39 2004//
-/LMSDB_driver_mysql.class.php/1.19/Wed Jan 21 11:36:39 2004//
-/LMSDB_driver_postgres.class.php/1.14/Wed Jan 21 11:36:39 2004//
-/Session.class.php/1.43/Wed Jan 21 11:36:40 2004//
-/Sysinfo.class.php/1.11/Wed Jan 21 11:36:40 2004//
-/accesstable.php/1.20/Wed Jan 21 11:36:40 2004//
-/checkdirs.php/1.19/Wed Jan 21 11:36:40 2004//
-/checkip.php/1.14/Wed Jan 21 11:36:40 2004//
-/common.php/1.57/Wed Jan 21 11:36:41 2004//
-/fortunes.php/1.4/Wed Jan 21 11:36:45 2004//
-/language.php/1.2/Wed Jan 21 11:36:45 2004//
-/smarty_addons.php/1.14/Wed Jan 21 11:36:45 2004//
-/unstrip.php/1.15/Wed Jan 21 11:36:45 2004//
-/LMS.class.php/1.335/Tue Jan 27 13:30:49 2004//
diff -ru -3 ./lms/lib/LMS.class.php ./lms.orig/lib/LMS.class.php
--- ./lms/lib/LMS.class.php	Fri Jan 30 18:46:06 2004
+++ ./lms.orig/lib/LMS.class.php	Sun Jan 25 16:16:02 2004
@@ -444,7 +444,7 @@
 
 	function UserAdd($useradd)
 	{
-		if($this->DB->Execute("INSERT INTO users (name, lastname, phone1, phone2, phone3, gguin, address, zip, city, email, nip, pesel, status, creationdate, creatorid, info, message) VALUES (?, UPPER(?), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?NOW?, ?, ?, ?)",array(ucwords($useradd['name']), $useradd['lastname'], $useradd['phone1'], $useradd['phone2'], $useradd['phone3'], $useradd['gguin'], $useradd['address'], $useradd['zip'], $useradd['city'], $useradd['email'], $useradd['nip'], $useradd['pesel'], $useradd['status'], $this->SESSION->id, $useradd['info'], $useradd['message']))) {
+		if($this->DB->Execute("INSERT INTO users (name, lastname, phone1, phone2, phone3, gguin, address, zip, city, email, nip, pesel, status, creationdate, creatorid, info) VALUES (?, UPPER(?), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?NOW?, ?, ?)",array(ucwords($useradd['name']), $useradd['lastname'], $useradd['phone1'], $useradd['phone2'], $useradd['phone3'], $useradd['gguin'], $useradd['address'], $useradd['zip'], $useradd['city'], $useradd['email'], $useradd['nip'], $useradd['pesel'], $useradd['status'], $this->SESSION->id, $useradd['info']))) {
 			$this->SetTS("users");
 			return $this->DB->GetOne("SELECT MAX(id) FROM users");
 		} else
@@ -488,7 +488,7 @@
 
 	function GetUser($id)
 	{
-		if($result = $this->DB->GetRow("SELECT id, ".$this->DB->Concat("UPPER(lastname)","' '","name")." AS username, lastname, name, status, email, gguin, phone1, phone2, phone3, address, zip, nip, pesel, city, info, creationdate, moddate, creatorid, modid, deleted, message FROM users WHERE id=?",array($id)))
+		if($result = $this->DB->GetRow("SELECT id, ".$this->DB->Concat("UPPER(lastname)","' '","name")." AS username, lastname, name, status, email, gguin, phone1, phone2, phone3, address, zip, nip, pesel, city, info, creationdate, moddate, creatorid, modid, deleted FROM users WHERE id=?",array($id)))
 		{
 			$result['createdby'] = $this->GetAdminName($result['creatorid']);
 			$result['modifiedby'] = $this->GetAdminName($result['modid']);
@@ -592,7 +592,6 @@
 		{
 			$tariffvalues = $this->DB->GetAllByKey("SELECT users.id AS id, SUM(value) AS value FROM users, assignments, tariffs WHERE users.id = assignments.userid AND tariffs.id = tariffid GROUP by users.id",'id');
 			$access = $this->DB->GetAllByKey("SELECT ownerid AS id, SUM(access) AS acsum, COUNT(access) AS account FROM nodes GROUP BY ownerid",'id');
-			$warning = $this->DB->GetAllByKey("SELECT ownerid AS id, SUM(warning) AS warnsum, COUNT(warning) AS warncount FROM nodes GROUP BY ownerid",'id');
 
 			foreach($userlist as $idx => $row)
 			{
@@ -603,12 +602,6 @@
 					$userlist[$idx]['nodeac'] = 0;
 				else
 					$userlist[$idx]['nodeac'] = 2;
-				if($warning[$row['id']]['warncount'] == $warning[$row['id']]['warnsum'])
-					$userlist[$idx]['nodewarn'] = 1;
-				elseif($warning[$row['id']]['warnsum'] == 0)
-					$userlist[$idx]['nodewarn'] = 0;
-				else
-					$userlist[$idx]['nodewarn'] = 2;
 				if($userlist[$idx]['balance'] > 0)
 					$over += $userlist[$idx]['balance'];
 				elseif($userlist[$idx]['balance'] < 0)
@@ -668,30 +661,22 @@
 		if(!isset($state))
 			$state = 3;
 
-		if($userlist = $this->DB->GetAll("SELECT users.id AS id, ".$this->DB->Concat("UPPER(lastname)","' '","users.name")." AS username, status, email, phone1, address, gguin, nip, pesel, zip, city, info, message,SUM((type * -2 + 7) * cash.value) AS balance FROM users LEFT JOIN cash ON users.id = cash.userid AND (cash.type = 3 OR cash.type = 4) WHERE deleted = 0 ".($state !=0 ? " AND status = '".$state."'":"")." GROUP BY users.id, lastname, users.name, status, email, phone1, phone2, phone3, address, gguin, nip, pesel, zip, city, info ".($sqlord !="" ? $sqlord." ".$direction:"")))
+		if($userlist = $this->DB->GetAll("SELECT users.id AS id, ".$this->DB->Concat("UPPER(lastname)","' '","users.name")." AS username, status, email, phone1, address, gguin, nip, pesel, zip, city, info, SUM((type * -2 + 7) * cash.value) AS balance FROM users LEFT JOIN cash ON users.id = cash.userid AND (cash.type = 3 OR cash.type = 4) WHERE deleted = 0 ".($state !=0 ? " AND status = '".$state."'":"")." GROUP BY users.id, lastname, users.name, status, email, phone1, phone2, phone3, address, gguin, nip, pesel, zip, city, info ".($sqlord !="" ? $sqlord." ".$direction:"")))
 		{
 			$tariffvalues = $this->DB->GetAllByKey("SELECT users.id AS id, SUM(value) AS value FROM users, assignments, tariffs WHERE users.id = assignments.userid AND tariffs.id = tariffid GROUP by users.id",'id');
 
 			$access = $this->DB->GetAllByKey("SELECT ownerid AS id, SUM(access) AS acsum, COUNT(access) AS account FROM nodes GROUP BY ownerid",'id');
-			$warning = $this->DB->GetAllByKey("SELECT ownerid AS id, SUM(warning) AS warnsum, COUNT(warning) AS warncount FROM nodes GROUP BY ownerid",'id');
 			foreach($userlist as $idx => $row)
 			{
 				$userlist[$idx]['tariffvalue'] = $tariffvalues[$row['id']]['value'];
 				$userlist[$idx]['account'] = $access[$row['id']]['account'];
-				$userlist[$idx]['warncount'] = $warning[$row['id']]['warncount'];
-
+				
 				if($access[$row['id']]['account'] == $access[$row['id']]['acsum'])
 					$userlist[$idx]['nodeac'] = 1;
 				elseif($access[$row['id']]['acsum'] == 0)
 					$userlist[$idx]['nodeac'] = 0;
 				else
 					$userlist[$idx]['nodeac'] = 2;
-				if($warning[$row['id']]['warncount'] == $warning[$row['id']]['warnsum'])
-					$userlist[$idx]['nodewarn'] = 1;
-				elseif($warning[$row['id']]['warnsum'] == 0)
-					$userlist[$idx]['nodewarn'] = 0;
-				else
-					$userlist[$idx]['nodewarn'] = 2;
 					
 				if($userlist[$idx]['balance'] > 0)
 					$over += $userlist[$idx]['balance'];
@@ -730,7 +715,7 @@
 
 	function GetUserNodes($id)
 	{
-		if($result = $this->DB->GetAll("SELECT id, name, mac, ipaddr, inet_ntoa(ipaddr) AS ip, access, warning FROM nodes WHERE ownerid=? ORDER BY name ASC",array($id))){
+		if($result = $this->DB->GetAll("SELECT id, name, mac, ipaddr, inet_ntoa(ipaddr) AS ip, access FROM nodes WHERE ownerid=? ORDER BY name ASC",array($id))){
 			$result['total'] = sizeof($result);
 			$result['ownerid'] = $id;
 		}
@@ -846,7 +831,7 @@
 	function NodeUpdate($nodedata)
 	{
 		$this->SetTS("nodes");
-		return $this->DB->Execute("UPDATE nodes SET name=?, ipaddr=inet_aton(?), mac=?, netdev=?, moddate=?NOW?, modid=?, access=?, warning=?, ownerid=? WHERE id=?",array(strtoupper($nodedata['name']), $nodedata['ipaddr'], strtoupper($nodedata['mac']), $nodedata['netdev'], $this->SESSION->id, $nodedata['access'], $nodedata['warning'], $nodedata['ownerid'], $nodedata['id']));
+		return $this->DB->Execute("UPDATE nodes SET name=?, ipaddr=inet_aton(?), mac=?, netdev=?, moddate=?NOW?, modid=?, access=?, ownerid=? WHERE id=?",array(strtoupper($nodedata['name']), $nodedata['ipaddr'], strtoupper($nodedata['mac']), $nodedata['netdev'], $this->SESSION->id, $nodedata['access'], $nodedata['ownerid'], $nodedata['id']));
 	}
 
 	function DeleteNode($id)
@@ -897,7 +882,7 @@
 
 	function GetNode($id)
 	{
-		if($result = $this->DB->GetRow("SELECT id, name, ownerid, ipaddr, inet_ntoa(ipaddr) AS ip, mac, access, warning, creationdate, moddate, creatorid, modid, netdev FROM nodes WHERE id=?",array($id)))
+		if($result = $this->DB->GetRow("SELECT id, name, ownerid, ipaddr, inet_ntoa(ipaddr) AS ip, mac, access, creationdate, moddate, creatorid, modid, netdev FROM nodes WHERE id=?",array($id)))
 		{
 			$result['createdby'] = $this->GetAdminName($result['creatorid']);
 			$result['modifiedby'] = $this->GetAdminName($result['modid']);
@@ -945,7 +930,7 @@
 			foreach($username as $idx => $row)
 				$usernames[$row['id']] = $row['username'];
 
-		if($nodelist = $this->DB->GetAll("SELECT id, ipaddr,inet_ntoa(ipaddr) AS ip, mac, name, ownerid, access, warning, netdev FROM nodes WHERE ownerid > 0".($sqlord != "" ? $sqlord." ".$direction : "")))
+		if($nodelist = $this->DB->GetAll("SELECT id, ipaddr,inet_ntoa(ipaddr) AS ip, mac, name, ownerid, access, netdev FROM nodes WHERE ownerid > 0".($sqlord != "" ? $sqlord." ".$direction : "")))
 		{
 			foreach($nodelist as $idx => $row)
 			{
@@ -1084,24 +1069,6 @@
 			return $this->DB->Execute("UPDATE nodes SET access=?, modid=? WHERE ownerid=?",array(0,$this->SESSION->id,$id));
 	}		
 
-	function NodeSetWarn($id)
-	{
-		$this->SetTS("nodes");
-		if($this->DB->GetOne("SELECT warning FROM nodes WHERE id=?",array($id)) == 1 )
-			return $this->DB->Execute("UPDATE nodes SET warning=0, modid=? WHERE id=?",array($this->SESSION->id,$id));
-		else
-			return $this->DB->Execute("UPDATE nodes SET warning=1, modid=? WHERE id=?",array($this->SESSION->id,$id));
-	}
-
-	function NodeSetWarnU($id,$warning=FALSE)
-	{
-		$this->SetTS("nodes");
-		if($warning)
-			return $this->DB->Execute("UPDATE nodes SET warning=?, modid=? WHERE ownerid=?",array(1,$this->SESSION->id,$id));
-		else
-			return $this->DB->Execute("UPDATE nodes SET warning=?, modid=? WHERE ownerid=?",array(0,$this->SESSION->id,$id));
-	}		
-
 	function IPSetU($netdev, $access=FALSE)
 	{
 		$this->SetTS("nodes");
@@ -1114,7 +1081,7 @@
 	function NodeAdd($nodedata)
 	{
 		$this->SetTS("nodes");
-		if($this->DB->Execute("INSERT INTO nodes (name, mac, ipaddr, ownerid, creatorid, creationdate, access, warning) VALUES (?, ?, inet_aton(?), ?, ?, ?NOW?, ?)",array(strtoupper($nodedata['name']),strtoupper($nodedata['mac']),$nodedata['ipaddr'],$nodedata['ownerid'],$this->SESSION->id, $nodedata['access'], $nodedata['warning'])))
+		if($this->DB->Execute("INSERT INTO nodes (name, mac, ipaddr, ownerid, creatorid, creationdate, access) VALUES (?, ?, inet_aton(?), ?, ?, ?NOW?, ?)",array(strtoupper($nodedata['name']),strtoupper($nodedata['mac']),$nodedata['ipaddr'],$nodedata['ownerid'],$this->SESSION->id, $nodedata['access'])))
 			return $this->DB->GetOne("SELECT MAX(id) FROM nodes");
 		else
 			return FALSE;
diff -ru -3 ./lms/lib/modules/CVS/Entries ./lms.orig/lib/modules/CVS/Entries
--- ./lms/lib/modules/CVS/Entries	Wed Jan 21 12:36:45 2004
+++ ./lms.orig/lib/modules/CVS/Entries	Fri Jan 30 19:04:09 2004
@@ -1,2 +1,2 @@
-/example.class.php/1.4/Wed Jan 21 11:36:45 2004//
+/example.class.php/1.4/Thu Jan  1 20:45:35 2004//
 D
diff -ru -3 ./lms/modules/CVS/Entries ./lms.orig/modules/CVS/Entries
--- ./lms/modules/CVS/Entries	Fri Jan 30 17:07:16 2004
+++ ./lms.orig/modules/CVS/Entries	Fri Jan 30 19:06:26 2004
@@ -1,78 +1,78 @@
-/adminadd.php/1.22/Wed Jan 21 11:36:45 2004//
-/admindel.php/1.15/Wed Jan 21 11:36:45 2004//
-/adminedit.php/1.24/Wed Jan 21 11:36:45 2004//
-/admininfo.php/1.20/Wed Jan 21 11:36:45 2004//
-/adminlist.php/1.15/Wed Jan 21 11:36:45 2004//
-/adminpasswd.php/1.21/Wed Jan 21 11:36:46 2004//
-/balanceadd.php/1.10/Wed Jan 21 11:36:46 2004//
-/balancelist.php/1.27/Wed Jan 21 11:36:46 2004//
-/balancenew.php/1.14/Wed Jan 21 11:36:46 2004//
-/chooseip.php/1.21/Wed Jan 21 11:36:46 2004//
-/choosemac.php/1.12/Wed Jan 21 11:36:46 2004//
-/chpasswd.php/1.12/Wed Jan 21 11:36:46 2004//
-/confgen.php/1.4/Wed Jan 21 11:36:46 2004//
-/copyrights.php/1.17/Wed Jan 21 11:36:47 2004//
-/dbdel.php/1.17/Wed Jan 21 11:36:47 2004//
-/dblist.php/1.18/Wed Jan 21 11:36:47 2004//
-/dbnew.php/1.14/Wed Jan 21 11:36:47 2004//
-/dbrecover.php/1.19/Wed Jan 21 11:36:47 2004//
-/dbview.php/1.16/Wed Jan 21 11:36:47 2004//
-/druk.php/1.9/Wed Jan 21 11:36:47 2004//
-/genfake.php/1.10/Wed Jan 21 11:36:48 2004//
-/invoice.php/1.20/Wed Jan 21 11:36:48 2004//
-/invoicelist.php/1.9/Wed Jan 21 11:36:48 2004//
-/invoicenew.php/1.5/Wed Jan 21 11:36:49 2004//
-/logout.php/1.18/Wed Jan 21 11:36:49 2004//
-/netadd.php/1.27/Wed Jan 21 11:36:49 2004//
-/netcmp.php/1.18/Wed Jan 21 11:36:49 2004//
-/netdel.php/1.19/Wed Jan 21 11:36:49 2004//
-/netdevadd.php/1.4/Wed Jan 21 11:36:49 2004//
-/netdevdel.php/1.5/Wed Jan 21 11:36:49 2004//
-/netdevedit.php/1.22/Wed Jan 21 11:36:49 2004//
-/netdevinfo.php/1.12/Wed Jan 21 11:36:50 2004//
-/netdevlist.php/1.7/Wed Jan 21 11:36:50 2004//
-/netdevmap.php/1.12/Wed Jan 21 11:36:50 2004//
-/netedit.php/1.27/Wed Jan 21 11:36:50 2004//
-/netinfo.php/1.24/Wed Jan 21 11:36:50 2004//
-/netlist.php/1.22/Wed Jan 21 11:36:50 2004//
-/netremap.php/1.19/Wed Jan 21 11:36:51 2004//
-/nodeadd.php/1.42/Wed Jan 21 11:36:51 2004//
-/nodedel.php/1.21/Wed Jan 21 11:36:51 2004//
-/nodeedit.php/1.43/Wed Jan 21 11:36:52 2004//
-/nodeinfo.php/1.28/Wed Jan 21 11:36:52 2004//
-/nodelist.php/1.28/Wed Jan 21 11:36:52 2004//
-/nodescan.php/1.12/Wed Jan 21 11:36:52 2004//
-/nodesearch.php/1.19/Wed Jan 21 11:36:52 2004//
-/nodeset.php/1.15/Wed Jan 21 11:36:52 2004//
+/adminadd.php/1.22/Thu Jan  1 20:45:35 2004//
+/admindel.php/1.15/Thu Jan  1 20:45:36 2004//
+/adminedit.php/1.24/Thu Jan  1 20:45:36 2004//
+/admininfo.php/1.20/Thu Jan  1 20:45:36 2004//
+/adminlist.php/1.15/Thu Jan  1 20:45:36 2004//
+/adminpasswd.php/1.21/Thu Jan  1 20:45:36 2004//
+/balanceadd.php/1.10/Thu Jan  1 20:45:36 2004//
+/balancelist.php/1.27/Thu Jan  1 20:45:36 2004//
+/balancenew.php/1.14/Thu Jan  1 20:45:36 2004//
+/chooseip.php/1.21/Thu Jan  1 20:45:36 2004//
+/choosemac.php/1.12/Thu Jan  1 20:45:36 2004//
+/chpasswd.php/1.12/Thu Jan  1 20:45:36 2004//
+/confgen.php/1.4/Thu Jan  1 20:45:36 2004//
+/copyrights.php/1.17/Thu Jan  1 20:45:36 2004//
+/dbdel.php/1.17/Thu Jan  1 20:45:36 2004//
+/dblist.php/1.18/Thu Jan  1 20:45:36 2004//
+/dbnew.php/1.14/Thu Jan  1 20:45:36 2004//
+/dbrecover.php/1.19/Thu Jan  1 20:45:36 2004//
+/dbview.php/1.16/Thu Jan  1 20:45:36 2004//
+/druk.php/1.9/Thu Jan  1 20:45:36 2004//
+/genfake.php/1.10/Sun Jan  4 00:33:00 2004//
+/invoice.php/1.20/Thu Jan  1 20:45:36 2004//
+/invoicelist.php/1.9/Thu Jan  1 20:45:36 2004//
+/invoicenew.php/1.5/Sun Jan 11 14:04:58 2004//
+/logout.php/1.18/Thu Jan  1 20:45:36 2004//
+/mailing.php/1.19/Sun Jan 25 20:48:42 2004//
+/mailingsend.php/1.22/Sun Jan 25 20:48:42 2004//
+/netadd.php/1.27/Thu Jan  1 20:45:36 2004//
+/netcmp.php/1.18/Thu Jan  1 20:45:36 2004//
+/netdel.php/1.19/Thu Jan  1 20:45:36 2004//
+/netdevadd.php/1.4/Thu Jan  1 20:45:36 2004//
+/netdevdel.php/1.5/Thu Jan  1 20:45:36 2004//
+/netdevedit.php/1.22/Fri Jan  2 17:26:48 2004//
+/netdevinfo.php/1.12/Fri Jan  2 17:26:48 2004//
+/netdevlist.php/1.7/Thu Jan  1 20:45:36 2004//
+/netdevmap.php/1.12/Sun Jan 11 14:34:19 2004//
+/netedit.php/1.27/Thu Jan  1 20:45:36 2004//
+/netinfo.php/1.24/Thu Jan  1 20:45:36 2004//
+/netlist.php/1.22/Thu Jan  1 20:45:36 2004//
+/netremap.php/1.19/Thu Jan  1 20:45:36 2004//
+/nodeadd.php/1.42/Thu Jan  1 20:45:36 2004//
+/nodedel.php/1.21/Thu Jan  1 20:45:36 2004//
+/nodeedit.php/1.43/Thu Jan  1 20:45:36 2004//
+/nodeinfo.php/1.28/Thu Jan  1 20:45:36 2004//
+/nodelist.php/1.28/Thu Jan  1 20:45:36 2004//
+/nodescan.php/1.12/Thu Jan  1 20:45:36 2004//
+/nodesearch.php/1.19/Thu Jan  1 20:45:36 2004//
+/nodeset.php/1.15/Thu Jan  1 20:45:36 2004//
 /paymentadd.php/1.1/Sun Jan 11 13:47:31 2004//
 /paymentdel.php/1.1/Sun Jan 11 13:47:32 2004//
 /paymentedit.php/1.1/Sun Jan 11 13:47:32 2004//
 /paymentinfo.php/1.1/Sun Jan 11 13:47:32 2004//
 /paymentlist.php/1.1/Sun Jan 11 13:47:32 2004//
-/print.php/1.19/Wed Jan 21 11:36:54 2004//
-/reload.php/1.23/Wed Jan 21 11:36:54 2004//
-/setlang.php/1.6/Wed Jan 21 11:36:55 2004//
-/tariffadd.php/1.31/Wed Jan 21 11:36:55 2004//
-/tariffdelete.php/1.17/Wed Jan 21 11:36:55 2004//
-/tariffedit.php/1.18/Wed Jan 21 11:36:55 2004//
-/tariffinfo.php/1.18/Wed Jan 21 11:36:55 2004//
-/tarifflist.php/1.20/Wed Jan 21 11:36:56 2004//
-/tariffmove.php/1.14/Wed Jan 21 11:36:56 2004//
-/template.php/1.17/Wed Jan 21 11:36:56 2004//
-/traffic.php/1.11/Wed Jan 21 11:36:56 2004//
-/trafficdbcompact.php/1.4/Wed Jan 21 11:36:56 2004//
-/upgrade01.php/1.5/Wed Jan 21 11:36:56 2004//
-/userbalance.php/1.21/Wed Jan 21 11:36:57 2004//
-/userbalanceok.php/1.14/Wed Jan 21 11:36:57 2004//
-/userdel.php/1.23/Wed Jan 21 11:36:57 2004//
-/useredit.php/1.52/Wed Jan 21 11:36:57 2004//
-/userinfo.php/1.31/Wed Jan 21 11:36:57 2004//
-/userlist.php/1.35/Wed Jan 21 11:36:57 2004//
-/userlistdebt.php/1.15/Wed Jan 21 11:36:58 2004//
-/userlistdisc.php/1.17/Wed Jan 21 11:36:58 2004//
-/usersearch.php/1.20/Wed Jan 21 11:36:58 2004//
-/welcome.php/1.30/Wed Jan 21 11:36:58 2004//
-/mailing.php/1.19/Tue Jan 27 13:30:49 2004//
-/mailingsend.php/1.22/Tue Jan 27 13:30:51 2004//
-/useradd.php/1.43/Wed Jan 28 15:00:30 2004//
+/print.php/1.19/Thu Jan  1 20:45:36 2004//
+/reload.php/1.23/Thu Jan  1 20:45:36 2004//
+/setlang.php/1.6/Thu Jan  1 20:45:36 2004//
+/tariffadd.php/1.31/Tue Jan 13 20:13:39 2004//
+/tariffdelete.php/1.17/Thu Jan  1 20:45:36 2004//
+/tariffedit.php/1.18/Tue Jan 13 20:13:39 2004//
+/tariffinfo.php/1.18/Thu Jan  1 20:45:36 2004//
+/tarifflist.php/1.20/Thu Jan  1 20:45:36 2004//
+/tariffmove.php/1.14/Thu Jan  1 20:45:36 2004//
+/template.php/1.17/Thu Jan  1 20:45:36 2004//
+/traffic.php/1.11/Thu Jan  1 20:45:36 2004//
+/trafficdbcompact.php/1.4/Thu Jan  1 20:45:36 2004//
+/upgrade01.php/1.5/Thu Jan  1 20:45:36 2004//
+/useradd.php/1.43/Thu Jan  1 20:45:36 2004//
+/userbalance.php/1.21/Thu Jan  1 20:45:36 2004//
+/userbalanceok.php/1.14/Thu Jan  1 20:45:36 2004//
+/userdel.php/1.23/Thu Jan  1 20:45:36 2004//
+/useredit.php/1.52/Thu Jan  1 20:45:36 2004//
+/userinfo.php/1.31/Thu Jan  1 20:45:36 2004//
+/userlist.php/1.35/Thu Jan  1 20:45:36 2004//
+/userlistdebt.php/1.15/Thu Jan  1 20:45:36 2004//
+/userlistdisc.php/1.17/Thu Jan  1 20:45:36 2004//
+/usersearch.php/1.20/Thu Jan  1 20:45:36 2004//
+/welcome.php/1.30/Thu Jan  1 20:45:36 2004//
 D
diff -ru -3 ./lms/modules/nodeedit.php ./lms.orig/modules/nodeedit.php
--- ./lms/modules/nodeedit.php	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/modules/nodeedit.php	Thu Jan  1 21:45:36 2004
@@ -110,8 +110,6 @@
 
 	if($nodeedit[access]!=1)
 		$nodeedit[access] = 0;
-	if($nodeedit[warning]!=1)
-		$nodeedit[warning] = 0;
 	
 	if($nodeinfo[netdev] != $nodeedit[netdev] && $nodeedit[netdev] != 0)
 	{
Only in ./lms/modules: nodewarn.php
diff -ru -3 ./lms/sample/CVS/Entries ./lms.orig/sample/CVS/Entries
--- ./lms/sample/CVS/Entries	Wed Jan 21 12:37:01 2004
+++ ./lms.orig/sample/CVS/Entries	Fri Jan 30 19:06:46 2004
@@ -2,10 +2,10 @@
 /faktura.rtf/1.1/Sat Aug  9 15:12:46 2003//
 /lms-mgc-netx-sample.ini/1.4/Mon Jun 23 13:42:30 2003//
 /lms-mgc.ini/1.10/Wed Dec  3 00:48:52 2003//
+/lms.ini/1.35/Fri Dec 26 19:46:33 2003//
 /mailtemplate.txt/1.6/Mon Jun 23 13:42:30 2003//
 /rc.reminder_1st/1.5/Mon Jun 23 13:42:30 2003//
 /tekst_1.txt/1.4/Mon Jun 23 13:42:30 2003//
 /test.txt/1.5/Mon Jun 23 13:42:30 2003//
 /traffic_ipt.sh/1.2/Tue Sep  9 19:52:40 2003//
-/lms.ini/1.35/Wed Jan 21 11:37:01 2004//
 D
diff -ru -3 ./lms/sample/lms.ini ./lms.orig/sample/lms.ini
--- ./lms/sample/lms.ini	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/sample/lms.ini	Fri Dec 26 20:46:33 2003
@@ -384,19 +384,6 @@
 ; limit			= -20
 
 ; ---------------------------------------------------------------------------
-; Konfiguracja lms-updatewarnings - skryptu do ustawiania ostrze¿enia
-; komputerów u¿ytkowników maj±cych bilans poni¿ej zadanego poziomu
-; finansowego.
-; ---------------------------------------------------------------------------
-
-[warnings]
-
-; Limit bilansu poni¿ej którego wszystkie komputery u¿ytkownika bêd±
-; otrzymywaæ ostrze¿enie przez www. Domy¶lnie - 0.
-;
-; limit			= -20
-
-; ---------------------------------------------------------------------------
 ; Konfiguracja lms-makedhcpconf - skryptu do generowania pliku dhcpd.conf
 ; ---------------------------------------------------------------------------
 
diff -ru -3 ./lms/templates/CVS/Entries ./lms.orig/templates/CVS/Entries
--- ./lms/templates/CVS/Entries	Fri Jan 30 17:07:17 2004
+++ ./lms.orig/templates/CVS/Entries	Fri Jan 30 19:08:09 2004
@@ -3,6 +3,7 @@
 /admininfo.html/1.25/Mon Dec 15 00:47:00 2003//
 /adminlist.html/1.27/Mon Dec 15 00:47:00 2003//
 /adminpasswd.html/1.17/Mon Dec 15 00:47:00 2003//
+/balanceheader.html/1.19/Sun Jan 11 13:55:16 2004//
 /balancelist.html/1.36/Mon Dec 15 21:00:00 2003//
 /balancenew.html/1.16/Mon Dec 15 00:47:00 2003//
 /chooseip.html/1.16/Mon Dec 15 00:47:00 2003//
@@ -10,17 +11,33 @@
 /clearfooter.html/1.2/Mon Dec 15 00:47:00 2003//
 /clearheader.html/1.11/Mon Dec 15 00:47:00 2003//
 /confgen.html/1.1/Wed Oct 22 17:50:51 2003//
+/copyrights.html/1.38/Tue Jan 20 18:46:30 2004//
 /dblist.html/1.13/Wed Oct 22 21:26:24 2003//
 /dbview.html/1.16/Mon Dec 15 00:47:00 2003//
 /dialog.html/1.8/Mon Dec 15 00:47:00 2003//
+/footer.html/1.25/Thu Jan  1 20:45:36 2004//
 /header.html/1.53/Mon Dec 15 00:47:00 2003//
+/invoice.html/1.16/Sun Jan 11 14:04:58 2004//
 /invoicelist.html/1.14/Mon Dec 15 21:00:00 2003//
+/invoicenew.html/1.6/Sun Jan 11 14:04:58 2004//
+/login.html/1.24/Thu Jan  1 20:45:36 2004//
+/mailing.html/1.17/Mon Jan 26 17:50:59 2004//
 /mailingsend-footer.html/1.8/Mon Dec 15 00:47:00 2003//
 /mailingsend.html/1.12/Mon Dec 15 00:47:00 2003//
 /netadd.html/1.21/Mon Dec 15 00:47:00 2003//
 /netdevadd.html/1.9/Mon Dec 15 00:47:00 2003//
 /netdevconnbox.html/1.13/Mon Dec 15 00:47:00 2003//
+/netdevedit.html/1.7/Sun Dec 21 18:19:52 2003//
+/netdeveditbox.html/1.13/Fri Jan  2 17:26:48 2004//
 /netdevheader.html/1.8/Mon Dec 15 00:47:00 2003//
+/netdevinfo.html/1.10/Fri Jan  2 17:26:48 2004//
+/netdevinfobox.html/1.11/Fri Jan  2 17:26:48 2004//
+/netdevipadd.html/1.1/Fri Jan  2 17:26:48 2004//
+/netdevipaddbox.html/1.3/Fri Jan  2 17:50:53 2004//
+/netdevipbox.html/1.6/Fri Jan  2 17:26:48 2004//
+/netdevipedit.html/1.1/Fri Jan  2 17:26:48 2004//
+/netdevipeditbox.html/1.2/Wed Jan 28 20:05:54 2004//
+/netdevipinfobox.html/1.1/Fri Jan  2 17:26:48 2004//
 /netdevlist.html/1.13/Mon Dec 15 22:39:38 2003//
 /netdevmap.html/1.4/Mon Dec 15 00:47:00 2003//
 /netdevnodes.html/1.4/Mon Dec 15 00:47:00 2003//
@@ -40,10 +57,18 @@
 /nodescanbox.html/1.9/Mon Dec 15 00:47:00 2003//
 /nodesearch.html/1.11/Mon Dec 15 00:47:00 2003//
 /nodesearchresults.html/1.30/Wed Dec 17 21:49:11 2003//
+/notfound.html/1.9/Sun Jan 11 14:30:16 2004//
+/paymentadd.html/1.1/Sun Jan 11 13:47:32 2004//
+/paymentedit.html/1.1/Sun Jan 11 13:47:32 2004//
+/paymentinfo.html/1.1/Sun Jan 11 13:47:32 2004//
+/paymentlist.html/1.1/Sun Jan 11 13:47:32 2004//
 /printindex.html/1.13/Wed Jul 30 08:19:22 2003//
 /printnodelist.html/1.13/Mon Dec 15 00:47:00 2003//
 /printuserlist.html/1.18/Thu Oct  9 19:57:50 2003//
 /printuserlistminus.html/1.3/Thu Oct  9 19:59:40 2003//
+/tariffadd.html/1.23/Sun Dec 28 22:11:56 2003//
+/tariffedit.html/1.24/Sun Dec 28 22:11:56 2003//
+/tariffinfo.html/1.25/Sun Dec 28 22:11:56 2003//
 /tarifflist.html/1.43/Mon Dec 15 00:47:00 2003//
 /traffic.html/1.22/Mon Dec 15 00:47:00 2003//
 /trafficheader.html/1.5/Mon Dec 15 00:47:00 2003//
@@ -56,34 +81,9 @@
 /userheader.html/1.14/Mon Dec 15 00:47:01 2003//
 /userinfo.html/1.47/Mon Dec 15 00:47:01 2003//
 /userinfobox.html/1.32/Mon Dec 15 00:47:01 2003//
+/userlist.html/1.97/Tue Jan 13 20:42:48 2004//
 /usernodesbox.html/1.22/Mon Dec 15 00:47:01 2003//
+/usersearch.html/1.15/Wed Dec 17 21:24:31 2003//
 /usersearchresults.html/1.38/Wed Dec 17 21:24:31 2003//
-/balanceheader.html/1.19/Wed Jan 21 11:37:01 2004//
-/copyrights.html/1.38/Wed Jan 21 11:37:03 2004//
-/footer.html/1.25/Wed Jan 21 11:37:03 2004//
-/invoice.html/1.16/Wed Jan 21 11:37:06 2004//
-/invoicenew.html/1.6/Wed Jan 21 11:37:06 2004//
-/login.html/1.24/Wed Jan 21 11:37:06 2004//
-/netdevedit.html/1.7/Wed Jan 21 11:37:07 2004//
-/netdeveditbox.html/1.13/Wed Jan 21 11:37:09 2004//
-/netdevinfo.html/1.10/Wed Jan 21 11:37:09 2004//
-/netdevinfobox.html/1.11/Wed Jan 21 11:37:09 2004//
-/netdevipadd.html/1.1/Fri Jan  2 17:26:48 2004//
-/netdevipaddbox.html/1.3/Fri Jan  2 17:50:53 2004//
-/netdevipbox.html/1.6/Wed Jan 21 11:37:09 2004//
-/netdevipedit.html/1.1/Fri Jan  2 17:26:48 2004//
-/netdevipinfobox.html/1.1/Fri Jan  2 17:26:48 2004//
-/notfound.html/1.9/Wed Jan 21 11:37:14 2004//
-/paymentadd.html/1.1/Sun Jan 11 13:47:32 2004//
-/paymentedit.html/1.1/Sun Jan 11 13:47:32 2004//
-/paymentinfo.html/1.1/Sun Jan 11 13:47:32 2004//
-/paymentlist.html/1.1/Sun Jan 11 13:47:32 2004//
-/tariffadd.html/1.23/Wed Jan 21 11:37:15 2004//
-/tariffedit.html/1.24/Wed Jan 21 11:37:15 2004//
-/tariffinfo.html/1.25/Wed Jan 21 11:37:16 2004//
-/userlist.html/1.97/Wed Jan 21 11:37:16 2004//
-/mailing.html/1.17/Tue Jan 27 13:30:52 2004//
-/welcome.html/1.28/Tue Jan 27 13:30:52 2004//
-/netdevipeditbox.html/1.2/Fri Jan 30 16:07:17 2004//
-/usersearch.html/1.15/Wed Jan 28 15:11:47 2004//
+/welcome.html/1.28/Tue Jan 27 10:44:46 2004//
 D
diff -ru -3 ./lms/templates/nodeaddbox.html ./lms.orig/templates/nodeaddbox.html
--- ./lms/templates/nodeaddbox.html	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/templates/nodeaddbox.html	Wed Dec 17 00:18:47 2003
@@ -49,20 +49,6 @@
 	</TR>
 	<TR CLASS="LIGHT">
 		<TD WIDTH="1%" CLASS="FLEFT">
-			<IMG SRC="img/{if ! $nodedata.warning}no{/if}access.gif" BORDER="0" ALT="">
-		</TD>
-		<TD WIDTH="1%" NOWRAP>
-			<B>Ostrze¿enie:</B>
-		</TD>
-		<TD WIDTH="98%" CLASS="FRIGHT">
-			<SELECT SIZE="1" CLASS="BOLD" NAME="nodedata[warning]" {tip text="Ustaw ostrze¿enie komputera"}>
-				<OPTION VALUE="1"{if $nodedata.warning} SELECTED{/if}>w³±czone</OPTION>
-				<OPTION VALUE="0"{if ! $nodedata.warning} SELECTED{/if}>wy³±czone</OPTION>
-			</SELECT>
-		</TD>
-	</TR>
-	<TR CLASS="LIGHT">
-		<TD WIDTH="1%" CLASS="FLEFT">
 			<IMG SRC="img/user.gif" BORDER="0" ALT="W³a¶ciciel:">
 		</TD>
 		<TD WIDTH="1%" NOWRAP>
diff -ru -3 ./lms/templates/nodeeditbox.html ./lms.orig/templates/nodeeditbox.html
--- ./lms/templates/nodeeditbox.html	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/templates/nodeeditbox.html	Mon Dec 15 01:47:00 2003
@@ -60,17 +60,6 @@
 	</TR>
 	<TR CLASS="LIGHT">
 		<TD WIDTH="1%" CLASS="FLEFT">
-			<IMG SRC="img/{if ! $nodeinfo.warning}no{/if}access.gif" BORDER="0" ALT="">
-		</TD>
-		<TD WIDTH="99%" CLASS="FRIGHT" COLSPAN="2">
-			<SELECT SIZE="1" CLASS="BOLD" NAME="nodeedit[warning]" {tip text="Ustaw ostrze¿enie komputera"}>
-				<OPTION VALUE="1"{if $nodeinfo.warning} SELECTED{/if}>ostrze¿enie w³±czone</OPTION>
-				<OPTION VALUE="0"{if ! $nodeinfo.warning} SELECTED{/if}>ostrze¿enie wy³±czone</OPTION>
-			</SELECT>
-		</TD>
-	</TR>
-	<TR CLASS="LIGHT">
-		<TD WIDTH="1%" CLASS="FLEFT">
 			<IMG SRC="img/user.gif" BORDER="0" ALT="W³a¶ciciel:">
 		</TD>
 		<TD WIDTH="99%" CLASS="FRIGHT" COLSPAN="2">
diff -ru -3 ./lms/templates/nodeinfobox.html ./lms.orig/templates/nodeinfobox.html
--- ./lms/templates/nodeinfobox.html	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/templates/nodeinfobox.html	Mon Dec 15 01:47:00 2003
@@ -65,14 +65,6 @@
 	</TR>
 	<TR CLASS="LIGHT">
 		<TD WIDTH="1%" CLASS="FLEFT">
-			<A HREF="?m=nodewarn&id={$nodeinfo.id}"><IMG SRC="img/{if ! $nodeinfo.warning}no{/if}access.gif" BORDER="0" ALT=""></A>
-		</TD>
-		<TD WIDTH="99%" CLASS="FRIGHT" COLSPAN="2">
-			<B>{if $nodeinfo.warning}ostrze¿enie w³±czone{else}ostrze¿enie wy³aczone{/if}</B>
-		</TD>
-	</TR>
-	<TR CLASS="LIGHT">
-		<TD WIDTH="1%" CLASS="FLEFT">
 			<IMG SRC="img/admins.gif" BORDER="0" ALT="">
 		</TD>
 		<TD WIDTH="1%">
diff -ru -3 ./lms/templates/nodelist.html ./lms.orig/templates/nodelist.html
--- ./lms/templates/nodelist.html	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/templates/nodelist.html	Mon Dec 15 22:00:00 2003
@@ -51,7 +51,6 @@
 		<TD class="fright" width="1%">
 			<nobr>
 			<a href="?m=nodeset&id={$nodelist[nodelist].id}"><img src="img/{if ! $nodelist[nodelist].access}no{/if}access.gif" border="0" ALT="{if ! $nodelist[nodelist].access}[ Pod³±cz ]{else}[ Od³±cz ]{/if}"></A>
-			<a href="?m=nodewarn&id={$nodelist[nodelist].id}"><img src="img/{if ! $nodelist[nodelist].warning}no{/if}access.gif" border="0" ALT="{if ! $nodelist[nodelist].warning}[ Ostrzegaj ]{else}[ Nie ostrzegaj ]{/if}"></A>
 			<a href="?m=nodedel&id={$nodelist[nodelist].id}" onClick="return confirmLink(this, 'Jeste¶ pewien ¿e chcesz usun±æ komputer \'{$nodelist[nodelist].name|upper}\' z bazy danych?')"><img src="img/delete.gif" border="0" ALT="[ Usuñ ]"></A>
 			<a href="?m=nodeedit&id={$nodelist[nodelist].id}"><img src="img/edit.gif" border="0" ALT="[ Edytuj ]"></A>
 			<a href="?m=nodeinfo&id={$nodelist[nodelist].id}"><img src="img/info.gif" border="0" ALT="[ Info ]"></A>
diff -ru -3 ./lms/templates/useradd.html ./lms.orig/templates/useradd.html
--- ./lms/templates/useradd.html	Wed Jan 28 16:16:29 2004
+++ ./lms.orig/templates/useradd.html	Mon Dec 15 01:47:01 2003
@@ -101,16 +101,12 @@
 			</TABLE>
 		</td>
 		<TD width="50%" bgcolor="#DFD5BD" class="fright" ALIGN="LEFT">
-			<P>
-			<B>Uwagi: </B><BR>
+			<p>
+			<b>Uwagi: </b><BR>
 <TEXTAREA rows="6" cols="50" name="useradd[info]">
 {$useradd.info}
-</TEXTAREA><P>
-<B>Wiadomosc administracyjna: </B><BR>
-<TEXTAREA rows="6" cols="50" name="useradd[message]">
-{$useradd.message}
-</TEXTAREA><P>
-		</TD>
+</TEXTAREA>
+		</td>
 	</TR>
 	<TR class="light">
 		<TD width="100%" colspan="2" class="fbottomu" align="right">
diff -ru -3 ./lms/templates/usereditbox.html ./lms.orig/templates/usereditbox.html
--- ./lms/templates/usereditbox.html	Wed Jan 28 16:11:01 2004
+++ ./lms.orig/templates/usereditbox.html	Mon Dec 15 01:47:01 2003
@@ -154,20 +154,6 @@
 		</TD>
 	</TR>
 	<TR CLASS="LIGHT">
-		<TD WIDTH="1%" CLASS="FLEFT">
-			<IMG SRC="img/mail.gif" BORDER="0" ALT="">
-		</TD>
-		<TD WIDTH="99%" CLASS="FRIGHT" COLSPAN="2">
-			<TABLE WIDTH="1%" CELLPADDING="5">
-				<TR>
-					<TD CLASS="FALL" BGCOLOR="#F4F0EC" {tip text="Wiadomosc administracyjna do uzytkownika (opcjonalnie)"}>
-						<TEXTAREA NAME="userdata[message]" STYLE="background-color: #F4F0EC; border-style: none; border-width: 0pt" COLS="40" ROWS="5">{$userinfo.message}</TEXTAREA>
-					</TD>
-				</TR>
-			</TABLE>
-		</TD>
-	</TR>
-	<TR CLASS="LIGHT">
 		<TD WIDTH="100%" COLSPAN="3" CLASS="FBOTTOMU" ALIGN="RIGHT">
 			<A HREF="javascript:document.useredit.submit();" ACCESSKEY="S">Zapisz <IMG SRC="img/save.gif" BORDER="0" ALIGN="ABSMIDDLE"></A>
 			<A HREF="?m=userinfo&id={$userinfo.id}">Anuluj <IMG SRC="img/cancel.gif" BORDER="0" ALIGN="ABSMIDDLE"></A>
diff -ru -3 ./lms/templates/userinfobox.html ./lms.orig/templates/userinfobox.html
--- ./lms/templates/userinfobox.html	Wed Jan 28 16:16:43 2004
+++ ./lms.orig/templates/userinfobox.html	Mon Dec 15 01:47:01 2003
@@ -117,23 +117,6 @@
 		</TD>
 	</TR>
 	{/if}
-	{if $userinfo.message}
-	<TR CLASS="LIGHT">
-		<TD WIDTH="1%" CLASS="FLEFT">
-			<IMG SRC="img/mail.gif" BORDER="0" ALT="">
-		</TD>
-		<TD WIDTH="99%" CLASS="FRIGHT" COLSPAN="2">
-			<TABLE WIDTH="100%" CELLPADDING="5">
-				<TR>
-					<TD CLASS="FALL" BGCOLOR="#F4F0EC">
-						{$userinfo.message|replace:"\n":"<BR>"}
-					</TD>
-				</TR>
-			</TABLE>
-		</TD>
-	</TR>
-	{/if}
-
 	<TR CLASS="LIGHT">
 		<TD WIDTH="100%" COLSPAN="3" CLASS="FBOTTOMU" ALIGN="RIGHT">
 			{if $userinfo.deleted}<A HREF="?m=useredit&id={$userinfo.id}&action=recover">Przywróæ <IMG SRC="img/recover.gif" border="0" align="absmiddle" ALT="[ Przywróæ ]"></A>{else}<A href="?m=useredit&id={$userinfo.id}" ACCESSKEY="E">Edytuj <IMG src="img/edit.gif" border="0" align="absmiddle" ALT="[ Edytuj ]"></A> <A href="?m=userdel&id={$userinfo.id}" 
diff -ru -3 ./lms/templates/userlist.html ./lms.orig/templates/userlist.html
--- ./lms/templates/userlist.html	Fri Jan 30 18:41:54 2004
+++ ./lms.orig/templates/userlist.html	Tue Jan 13 21:42:48 2004
@@ -63,38 +63,34 @@
 	{section name=userlist loop=$userlist start=$start max=$pagelimit}
 	<TR bgcolor="{cycle}" {cycle print=false} onmouseover="setPointer(this, '#CCFFCC')" onmouseout="setPointer(this, '{cycle}')"{if $userlist[userlist].nodeac eq 0} class="blend"{/if}>
 		<TD onClick="return self.location.href='?m=userinfo&id={$userlist[userlist].id}';" class="fleft" valign="top">
-			<A name="{$userlist[userlist].id}"><IMG src="img/{if $userlist[userlist].status eq 1}unk{/if}{if $userlist[userlist].status eq 2}wait{/if}{if $userlist[userlist].status eq 3}user{/if}.gif" ALT="" align="absmiddle" border="0">{if $userlist[userlist].info}&nbsp;<img src="img/usercomment.gif" ALT="" align="absmiddle" {tip text=$userlist[userlist].info}>{/if}{if $userlist[userlist].message}&nbsp;<img src="img/mail.gif" ALT="" align="absmiddle" {tip text=$userlist[userlist].message}>{/if}&nbsp;<B>{$userlist[userlist].username|escape}</B></A><BR>
+			<A name="{$userlist[userlist].id}"><IMG src="img/{if $userlist[userlist].status eq 1}unk{/if}{if $userlist[userlist].status eq 2}wait{/if}{if $userlist[userlist].status eq 3}user{/if}.gif" ALT="" align="absmiddle" border="0">{if $userlist[userlist].info}&nbsp;<img src="img/usercomment.gif" ALT="" align="absmiddle" {tip text=$userlist[userlist].info}>{/if}&nbsp;<B>{$userlist[userlist].username|escape}</B></A><BR>
 			<IMG src="img/phone.gif" ALT="" align="absmiddle" border="0">&nbsp;{$userlist[userlist].phone1|default:"&nbsp;"}<BR>
 			<IMG SRC="img/home.gif" ALT="" align="absmiddle" border="0">&nbsp;{$userlist[userlist].address}{if $userlist[userlist].city neq ""},{/if} {$userlist[userlist].zip} {$userlist[userlist].city}
 		</TD>
 		<TD 	{if $userlist[userlist].account}
 				{if $userlist[userlist].status neq 3} 
 					onClick="return self.location.href='?m=userinfo&id={$userlist[userlist].id}';"
+				{else}
+					{if $userlist[userlist].nodeac eq 1} 
+						onClick="return self.location.href='?m=nodeset&ownerid={$userlist[userlist].id}';"
+					{else}
+						{if $userlist[userlist].nodeac eq 2} 
+			    				onClick="return self.location.href='?m=nodeset&ownerid={$userlist[userlist].id}';"
+						{else} 
+							onClick="return self.location.href='?m=nodeset&ownerid={$userlist[userlist].id}&access=1';"
+						{/if}
+					{/if}
 				{/if}
 			{/if} valign="top" align="right">
 			<img src="img/empty.gif" align="absmiddle" width="1" height="16" ALT="" border="0">({$userlist[userlist].id|string_format:"%04d"})<BR>
 			{if $userlist[userlist].account}
 				{if $userlist[userlist].status eq 3}
 					{if $userlist[userlist].nodeac eq 1}
-						<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/access.gif" align="absmiddle" ALT="[ Od³±cz wszystkie ]" border="0"></A><BR>
+						<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/access.gif" align="absmiddle" ALT="[ Od³±cz wszystkie ]" border="0"></A>
 					{else}
 						{if $userlist[userlist].nodeac eq 2}
-							<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/mixaccess.gif" align="absmiddle" ALT="[ Od³±cz wszystkie ]" border="0"></A><BR>
-						{else}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}&access=1"><IMG SRC="img/noaccess.gif" align="absmiddle" ALT="[ Pod³±cz wszystkie ]" border="0"></A><BR>
-						{/if}
-					{/if}
-				{/if}
-			{else}
-				<IMG src="img/exclamation.gif" align="absmiddle" border="0" ALT="Brak przypisanych komputerów"><BR>
-			{/if}			
-			{if $userlist[userlist].warncount}
-				{if $userlist[userlist].status eq 3}
-					{if $userlist[userlist].nodewarn eq 1}
-						<A HREF="?m=nodewarn&ownerid={$userlist[userlist].id}"><IMG SRC="img/access.gif" align="absmiddle" ALT="[ Nie ostrzegaj ¿adnych ]" border="0"></A>
-					{else}
-						{if $userlist[userlist].nodewarn eq 2}
-							<A HREF="?m=nodewarn&ownerid={$userlist[userlist].id}"><IMG SRC="img/mixaccess.gif" align="absmiddle" ALT="[ Nie ostrzegaj ¿adnych ]" border="0"></A>
-						{else}<A HREF="?m=nodewarn&ownerid={$userlist[userlist].id}&warning=1"><IMG SRC="img/noaccess.gif" align="absmiddle" ALT="[ Ostrzegaj wszystkie ]" border="0"></A>
+							<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/mixaccess.gif" align="absmiddle" ALT="[ Od³±cz wszystkie ]" border="0"></A>
+						{else}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}&access=1"><IMG SRC="img/noaccess.gif" align="absmiddle" ALT="[ Pod³±cz wszystkie ]" border="0"></A>
 						{/if}
 					{/if}
 				{/if}
diff -ru -3 ./lms/templates/usernodesbox.html ./lms.orig/templates/usernodesbox.html
--- ./lms/templates/usernodesbox.html	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/templates/usernodesbox.html	Mon Dec 15 01:47:01 2003
@@ -15,7 +15,6 @@
 	<tr bgcolor="{cycle}" {cycle print=false} onmouseover="setPointer(this, '#CCFFCC')" onmouseout="setPointer(this, '{cycle}')"{if ! $usernodes[usernodes].access} class="blend"{/if}>
 		<TD WIDTH="1%" CLASS="FLEFT">
 			<a href="?m=nodeset&id={$usernodes[usernodes].id}"><IMG src="img/{if ! $usernodes[usernodes].access}no{/if}access.gif" ALT="[ {if ! $usernodes[usernodes].access}Pod³±cz{else}Od³±cz{/if} ]" border="0" align="absmiddle"></A>
-			<a href="?m=nodewarn&id={$usernodes[usernodes].id}"><IMG src="img/{if ! $usernodes[usernodes].warning}no{/if}access.gif" ALT="[ {if ! $usernodes[usernodes].warning}Ostrzegaj{else}Nie ostrzegaj{/if} ]" border="0" align="absmiddle"></A>
 		</TD>
 		<TD WIDTH="97%" onClick="return self.location.href='?m=nodeinfo&id={$usernodes[usernodes].id}';">
 			<B>{$usernodes[usernodes].name}</B><BR>
@@ -47,8 +46,6 @@
 		<TD WIDTH="99%" COLSPAN="3" CLASS="FLEFTU">
 			<A HREF="?m=nodeset&ownerid={$usernodes.ownerid}&access=1"><IMG SRC="img/access.gif" ALIGN="ABSMIDDLE" BORDER="0"> Pod³±cz wszystkie</A><BR>
 			<A HREF="?m=nodeset&ownerid={$usernodes.ownerid}"><IMG SRC="img/noaccess.gif" ALIGN="ABSMIDDLE" BORDER="0"> Od³±cz wszystkie</A><BR>
-			<A HREF="?m=nodewarn&ownerid={$usernodes.ownerid}&warning=1"><IMG SRC="img/access.gif" ALIGN="ABSMIDDLE" BORDER="0"> Ostrzegaj wszystkie</A><BR>
-			<A HREF="?m=nodewarn&ownerid={$usernodes.ownerid}"><IMG SRC="img/noaccess.gif" ALIGN="ABSMIDDLE" BORDER="0"> Nie ostrzegaj ¿adnych</A><BR>
 		</TD>
 		<TD WIDTH="1%" CLASS="FRIGHTU" NOWRAP VALIGN="BOTTOM" ALIGN="RIGHT">
 			{if $userinfo.status eq "3" and ! $userinfo.deleted}<A HREF="?m=nodeadd&ownerid={$usernodes.ownerid}">Nowy <IMG SRC="img/edit.gif" ALIGN="ABSMIDDLE" BORDER="0"></A>{else}<FONT CLASS="BLEND">Nowy <IMG SRC="img/edit.gif" ALIGN="ABSMIDDLE">{/if}
diff -ru -3 ./lms/templates/usersearchresults.html ./lms.orig/templates/usersearchresults.html
--- ./lms/templates/usersearchresults.html	Fri Jan 30 18:38:26 2004
+++ ./lms.orig/templates/usersearchresults.html	Wed Dec 17 22:24:31 2003
@@ -37,10 +37,9 @@
 			<IMG src="img/phone.gif" ALT="" align="absmiddle" border="0">&nbsp;{$userlist[userlist].phone1}{/if}<BR>
 			<IMG SRC="img/home.gif" ALT="" align="absmiddle" border="0">&nbsp;{$userlist[userlist].address}{if $userlist[userlist].city neq ""},{/if} {$userlist[userlist].zip} {$userlist[userlist].city}
 		</TD>
-		<TD {if $userlist[userlist].status neq 3} onClick="return self.location.href='?m=userinfo&id={$userlist[userlist].id}';"{/if} valign="top" align="right">
+		<TD {if $userlist[userlist].status neq 3} onClick="return self.location.href='?m=userinfo&id={$userlist[userlist].id}';"{else}{if $userlist[userlist].nodeac eq 1} onClick="return self.location.href='?m=nodeset&ownerid={$userlist[userlist].id}';"{else}{if $userlist[userlist].nodeac eq 2} onClick="return self.location.href='?m=nodeset&ownerid={$userlist[userlist].id}';"{else} onClick="return self.location.href='?m=nodeset&ownerid={$userlist[userlist].id}&access=1';"{/if}{/if}{/if}valign="top" align="right">
 			<img src="img/empty.gif" align="absmiddle" width="1" height="16" ALT="" border="">({$userlist[userlist].id|string_format:"%04d"})<BR>
-			{if $userlist[userlist].status eq 3}{if $userlist[userlist].nodeac eq 1}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/access.gif" align="absmiddle" ALT="" border="0"></A>{else}{if $userlist[userlist].nodeac eq 2}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/mixaccess.gif" align="absmiddle" ALT="" border="0"></A>{else}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}&access=1"><IMG SRC="img/noaccess.gif" align="absmiddle" ALT="" border="0"></A>{/if}{/if}{/if}<BR>
-			{if $userlist[userlist].status eq 3}{if $userlist[userlist].nodewarn eq 1}<A HREF="?m=nodewarn&ownerid={$userlist[userlist].id}"><IMG SRC="img/access.gif" align="absmiddle" ALT="" border="0"></A>{else}{if $userlist[userlist].nodewarn eq 2}<A HREF="?m=nodewarn&ownerid={$userlist[userlist].id}"><IMG SRC="img/mixaccess.gif" align="absmiddle" ALT="" border="0"></A>{else}<A HREF="?m=nodewarn&ownerid={$userlist[userlist].id}&warning=1"><IMG SRC="img/noaccess.gif" align="absmiddle" ALT="" border="0"></A>{/if}{/if}{/if}
+			{if $userlist[userlist].status eq 3}{if $userlist[userlist].nodeac eq 1}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/access.gif" align="absmiddle" ALT="" border="0"></A>{else}{if $userlist[userlist].nodeac eq 2}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}"><IMG SRC="img/mixaccess.gif" align="absmiddle" ALT="" border="0"></A>{else}<A HREF="?m=nodeset&ownerid={$userlist[userlist].id}&access=1"><IMG SRC="img/noaccess.gif" align="absmiddle" ALT="" border="0"></A>{/if}{/if}{/if}
 		</TD>
 		<TD onClick="return self.location.href='?m=userinfo&id={$userlist[userlist].id}';" valign="top">
 			<IMG src="img/mail.gif" ALT="" align="absmiddle" border="0">&nbsp;{$userlist[userlist].email}<BR>
